Bug 135334 - Improve accessibility for the Styles Inspector
Summary: Improve accessibility for the Styles Inspector
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-07-31 09:09 UTC by Heiko Tietze
Modified: 2020-08-25 09:30 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-07-31 09:09:37 UTC
We should provide means for disabled people to work with the SI. That is first of all to switch to the deck per shortcut. A consistent proposal was made by Stuart in bug 99618 by using ctrl+alt+<number> for the decks. See also https://gerrit.libreoffice.org/c/core/+/99760 for the implementation. Secondly, we should allow screen readers to access the content. Not sure how much effort is needed for this. Basic interaction is per F6 to jump between interactive elements (menu, toolbar, sidebar, document), see https://wiki.documentfoundation.org/Design/Guidelines/SideBar for the guideline.
Comment 1 Xisco Faulí 2020-08-03 15:24:46 UTC
Moving to NEW
Comment 2 Commit Notification 2020-08-25 09:30:35 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eef202b0659a8ef5f2c1d0b38f292039f0ceaa8d

tdf#135334 Add keyboard shortcut to launch SI

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.